Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Process_Member_Function_Remote< OBJ, DATA > Class Template Reference

`#include <Process_Element.h>`

Inheritance diagram for Process_Member_Function_Remote< OBJ, DATA >:

[legend]
Collaboration diagram for Process_Member_Function_Remote< OBJ, DATA >:

[legend]
List of all members.

## Public Types
typedef void(OBJ::* | func_type )(DATA &)
typedef DATA | data_type
## Public Member Functions
| Process_Member_Function_Remote (OBJ &obj, func_type f)
| Process_Member_Function_Remote (OBJ *obj, func_type f)
virtual void | call (DOMDocument *doc, DOMNodeIterator *iter, DATA &data)
## Private Attributes
OBJ * | obj_
func_type | f_

### template<typename OBJ, typename DATA>
class Process_Member_Function_Remote< OBJ, DATA >

## Member Typedef Documentation

template<typename OBJ, typename DATA>
typedef DATA Process_Member_Function_Remote< OBJ, DATA >::data_type

template<typename OBJ, typename DATA>
typedef void(OBJ::* Process_Member_Function_Remote< OBJ, DATA >::func_type)(DATA &)

## Constructor & Destructor Documentation

template<typename OBJ, typename DATA>
Process_Member_Function_Remote< OBJ, DATA >::Process_Member_Function_Remote | ( | OBJ & | obj,
|  | func_type | f
| ) | `[inline]`

template<typename OBJ, typename DATA>
Process_Member_Function_Remote< OBJ, DATA >::Process_Member_Function_Remote | ( | OBJ * | obj,
|  | func_type | f
| ) | `[inline]`

## Member Function Documentation

template<typename OBJ, typename DATA>
virtual void Process_Member_Function_Remote< OBJ, DATA >::call | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | DATA & | data
| ) | `[inline, virtual]`

| Implements Process_Function< DATA >.

## Member Data Documentation

template<typename OBJ, typename DATA>
func_type Process_Member_Function_Remote< OBJ, DATA >::f_`[private]`

template<typename OBJ, typename DATA>
OBJ* Process_Member_Function_Remote< OBJ, DATA >::obj_`[private]`

The documentation for this class was generated from the following file:

- Process_Element.h